com.corticon.rulesemf.viewtestmodel.testsheet.treeset

## Interface TestTreeSet

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, TestsheetView

      public interface TestTreeSet
      extends TestsheetView

  A representation of the model object 'Test Tree Set'.

  The following features are supported:

  - `Input Root`
  - `Output Root`
  - `Output Message Section`
  - `Selection`
  - `Testsheet`
  - `Expected Root`
  - `Expected Message Section`
  See Also:
    `TreesetPackage.getTestTreeSet()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessageSection` | `getExpectedMessageSection()` Returns the value of the 'Expected Message Section' containment reference
    `TestNode` | `getExpectedRoot()` Returns the value of the 'Expected Root' containment reference
    `TestNode` | `getInputRoot()` Returns the value of the 'Input Root' containment reference
    `MessageSection` | `getOutputMessageSection()` Returns the value of the 'Output Message Section' containment reference
    `TestNode` | `getOutputRoot()` Returns the value of the 'Output Root' containment reference
    `com.corticon.eclipse.core.util.Selection` | `getSelection()` Returns the value of the 'Selection' attribute
    `Testsheet` | `getTestsheet()` Returns the value of the 'Testsheet' reference
    `void` | `setExpectedMessageSection(MessageSection value)` Sets the value of the '`Expected Message Section`' containment reference
    `void` | `setExpectedRoot(TestNode value)` Sets the value of the '`Expected Root`' containment reference
    `void` | `setInputRoot(TestNode value)` Sets the value of the '`Input Root`' containment reference
    `void` | `setOutputMessageSection(MessageSection value)` Sets the value of the '`Output Message Section`' containment reference
    `void` | `setOutputRoot(TestNode value)` Sets the value of the '`Output Root`' containment reference
    `void` | `setSelection(com.corticon.eclipse.core.util.Selection value)` Sets the value of the '`Selection`' attribute
    `void` | `setTestsheet(Testsheet value)` Sets the value of the '`Testsheet`' reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInputRoot

          TestNode getInputRoot()

      Returns the value of the 'Input Root' containment reference.

      If the meaning of the 'Input Root' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Input Root' containment reference.
      See Also:
        `setInputRoot(TestNode)`, `TreesetPackage.getTestTreeSet_InputRoot()`

    - #### setInputRoot

          void setInputRoot(TestNode value)

      Sets the value of the '`Input Root`' containment reference.
      Parameters:
        `value` - the new value of the 'Input Root' containment reference.
      See Also:
        `getInputRoot()`

    - #### getOutputRoot

          TestNode getOutputRoot()

      Returns the value of the 'Output Root' containment reference.

      If the meaning of the 'Output Root' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Output Root' containment reference.
      See Also:
        `setOutputRoot(TestNode)`, `TreesetPackage.getTestTreeSet_OutputRoot()`

    - #### setOutputRoot

          void setOutputRoot(TestNode value)

      Sets the value of the '`Output Root`' containment reference.
      Parameters:
        `value` - the new value of the 'Output Root' containment reference.
      See Also:
        `getOutputRoot()`

    - #### getOutputMessageSection

          MessageSection getOutputMessageSection()

      Returns the value of the 'Output Message Section' containment reference.

      If the meaning of the 'Output Message Section' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Output Message Section' containment reference.
      See Also:
        `setOutputMessageSection(MessageSection)`, `TreesetPackage.getTestTreeSet_OutputMessageSection()`

    - #### setOutputMessageSection

          void setOutputMessageSection(MessageSection value)

      Sets the value of the '`Output Message Section`' containment reference.
      Parameters:
        `value` - the new value of the 'Output Message Section' containment reference.
      See Also:
        `getOutputMessageSection()`

    - #### getSelection

          com.corticon.eclipse.core.util.Selection getSelection()

      Returns the value of the 'Selection' attribute.

      If the meaning of the 'Selection' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Selection' attribute.
      See Also:
        `setSelection(Selection)`, `TreesetPackage.getTestTreeSet_Selection()`

    - #### setSelection

          void setSelection(com.corticon.eclipse.core.util.Selection value)

      Sets the value of the '`Selection`' attribute.
      Parameters:
        `value` - the new value of the 'Selection' attribute.
      See Also:
        `getSelection()`

    - #### getTestsheet

          Testsheet getTestsheet()

      Returns the value of the 'Testsheet' reference.

      If the meaning of the 'Testsheet' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Testsheet' reference.
      See Also:
        `setTestsheet(Testsheet)`, `TreesetPackage.getTestTreeSet_Testsheet()`

    - #### setTestsheet

          void setTestsheet(Testsheet value)

      Sets the value of the '`Testsheet`' reference.
      Parameters:
        `value` - the new value of the 'Testsheet' reference.
      See Also:
        `getTestsheet()`

    - #### getExpectedRoot

          TestNode getExpectedRoot()

      Returns the value of the 'Expected Root' containment reference.

      If the meaning of the 'Expected Root' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Expected Root' containment reference.
      See Also:
        `setExpectedRoot(TestNode)`, `TreesetPackage.getTestTreeSet_ExpectedRoot()`

    - #### setExpectedRoot

          void setExpectedRoot(TestNode value)

      Sets the value of the '`Expected Root`' containment reference.
      Parameters:
        `value` - the new value of the 'Expected Root' containment reference.
      See Also:
        `getExpectedRoot()`

    - #### getExpectedMessageSection

          MessageSection getExpectedMessageSection()

      Returns the value of the 'Expected Message Section' containment reference.

      If the meaning of the 'Expected Message Section' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Expected Message Section' containment reference.
      See Also:
        `setExpectedMessageSection(MessageSection)`, `TreesetPackage.getTestTreeSet_ExpectedMessageSection()`

    - #### setExpectedMessageSection

          void setExpectedMessageSection(MessageSection value)

      Sets the value of the '`Expected Message Section`' containment reference.
      Parameters:
        `value` - the new value of the 'Expected Message Section' containment reference.
      See Also:
        `getExpectedMessageSection()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.